Subject: Re: [PATCH] environment: enable core.preloadindex by default

From: Karsten Blees <[email-masked]>
Date: Tue, 03 Jun 2014 10:18:32 +0200

Am 03.06.2014 08:18, schrieb Steve Hoelzer:
> On Mon, Jun 2, 2014 at 3:01 PM, Karsten Blees <[email-masked]> wrote:
>> Git for Windows users may want to try core.fscache=true as well [1]. This eliminates the UAC penalties for repositories located on the Windows system drive [2].
>>
>> [1] https://github.com/msysgit/git/pull/94
>> [2] https://code.google.com/p/msysgit/issues/detail?id=320
> 
> Thanks for the tip! I didn't know about fscache, but I'll definitely
> give it a try. Is there a reason it is not turned on by default in Git
> for Windows?
> 
> Steve
> 

The feature has been merged only a few months ago, and I believe no one has found the time yet to do a thorough review of the workhorse compat/win32/fscache.[ch]. So the safe bet is to keep it turned off by default.